Package org.apache.sling.installer.hc

# Class OsgiInstallerHealthCheck

java.lang.Object
org.apache.sling.installer.hc.OsgiInstallerHealthCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

public class OsgiInstallerHealthCheck extends Object implements org.apache.felix.hc.api.HealthCheck

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static @interface`
`OsgiInstallerHealthCheck.Configuration`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`HC_NAME`

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

## Constructor Summary

Constructors
Constructor
Description
`OsgiInstallerHealthCheck()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configure(OsgiInstallerHealthCheck.Configuration configuration)`
`org.apache.felix.hc.api.Result`
`execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HC_NAME

protected static final String HC_NAME

See Also:
  - Constant Field Values

## Constructor Details

### OsgiInstallerHealthCheck

public OsgiInstallerHealthCheck()

## Method Details

### configure

protected void configure(OsgiInstallerHealthCheck.Configuration configuration)

### execute

public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`